Bug 111285 - Lock up when unmounting USB disk-on-key.
Lock up when unmounting USB disk-on-key.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-01 14:02 EST by Troy Holder
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:47:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Holder 2003-12-01 14:02:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I can mount my USB disk-on-key and move files to and from the device
fine. If I run unmount on the device, the machine locks hard with no
imput taken from the mouse or keyboard. X even stops updating. I can
ping the machine and if I try to ssh to the box, the connection is
made but that is all. The only recourse is to power the machine off. 

Here is the message log from the device being added:
Dec  1 10:27:16 cobra kernel: hub.c: new USB device 00:1d.3-2,
assigned address
2
Dec  1 10:27:16 cobra kernel: usb.c: USB device 2 (vend/prod
0x5dc/0x80) is not
claimed by any active driver.
Dec  1 10:27:19 cobra kernel: Initializing USB Mass Storage driver...
Dec  1 10:27:19 cobra kernel: usb.c: registered new driver usb-storage
Dec  1 10:27:19 cobra kernel: scsi3 : SCSI emulation for USB Mass
Storage devices
Dec  1 10:27:19 cobra kernel:   Vendor: LEXAR     Model: DIGITAL FILM
     Rev:
/W1.
Dec  1 10:27:19 cobra kernel:   Type:   Direct-Access                
     ANSI
SCSI revision: 02
Dec  1 10:27:19 cobra kernel: Attached scsi removable disk sda at
scsi3, channel 0, id 0, lun 0
Dec  1 10:27:20 cobra kernel: SCSI device sda: 125952 512-byte hdwr
sectors (64
MB)
Dec  1 10:27:20 cobra kernel: sda: Write Protect is off
Dec  1 10:27:20 cobra kernel:  sda: sda1
Dec  1 10:27:20 cobra kernel: USB Mass Storage support registered.


There is nothing in the log from where I unmounted it.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2115.nptl

How reproducible:
Always

Steps to Reproduce:
1. Attach disk-on-key to usb port
2. mount /dev/sda1 /mnt/diskonkey
3. umount /dev/sda1

Actual Results:  The machine locked up.

Expected Results:  The device would have unmounted and the machine
kept running.

Additional info:
Comment 1 Pete Zaitcev 2003-12-02 11:23:52 EST
Please do this:

- Switch to text with <Alt>F1.
- Log in as root
- echo 8 > /proc/sys/kernel/printk
- echo 1 > /proc/sys/kernel/sysrq
- Reproduce the problem

Let me know if anything interesting was printed.
If an oops happens, its top is most valuable and
it usually scrolls away. But on a pingable machine,
<Shift>PgUp should work.
Comment 2 John Hodrien 2004-02-19 11:31:18 EST
Just to confirm this has happened to me, repeatedly, until I started
trying to debug it using your suggestion, at which point it vanished
without a trace, and works flawlessly everytime...

Sorry.

kernel:   Vendor: Generic   Model: STORAGE DEVICE    Rev: 0113
kernel:   Type:   Direct-Access         ANSI SCSI revision: 02
Comment 3 David Lawrence 2004-09-29 15:47:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.